Skip to main content
`Ctrl`+`K`

# VecScatterEnd

Ends a generalized scatter from one vector to another. Call after first calling `VecScatterBegin()`.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterEnd(VecScatter sf, Vec x, Vec y, InsertMode addv, ScatterMode mode)

Neighbor-wise Collective

## Input Parameters

- sf - scatter context generated by `VecScatterCreate()`

- x - the vector from which we scatter

- y - the vector to which we scatter

- addv - one of `ADD_VALUES`, `MAX_VALUES`, `MIN_VALUES` or `INSERT_VALUES`

- mode - the scattering mode, usually `SCATTER_FORWARD`. The available modes are: `SCATTER_FORWARD`, `SCATTER_REVERSE`

## Notes

If you use `SCATTER_REVERSE` the arguments `x` and `y` should be reversed, from the `SCATTER_FORWARD`.

y[iy[i]] = x[ix[i]], for i=0,…,ni-1

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterBegin()`, `VecScatterCreate()`

## Level

intermediate

## Location

src/vec/is/sf/interface/vscat.c

## Examples

src/tao/pde_constrained/tutorials/hyperbolic.c
src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex49.c
src/dm/tutorials/ex25.c
src/dm/tutorials/ex6.c
src/dm/tutorials/ex14.c
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/constrained/tutorials/ex1.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex43.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages